Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.tree.taglib
Class TreeTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.custom.tree.taglib.TreeTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class TreeTag
extends UIComponentTagBase

HtmlTree tag.

Version:
  $Revision: 169651 $ $Date: 2004/10/13 11:50:58
Author:
  Oliver Rossmueller

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TreeTag()`

Method Summary
`int` | `doStartTag()` Obtain tree model or create a default model.
`java.lang.String` | `getColumnClasses()`
`java.lang.String` | `getComponentType()`
`long` | `getExpireListeners()`
`java.lang.String` | `getFooterClass()`
`java.lang.String` | `getHeaderClass()`
`java.lang.String` | `getIconChildFirst()`
`java.lang.String` | `getIconChildLast()`
`java.lang.String` | `getIconChildMiddle()`
`java.lang.String` | `getIconClass()`
`java.lang.String` | `getIconLine()`
`java.lang.String` | `getIconNodeClose()`
`java.lang.String` | `getIconNodeCloseFirst()`
`java.lang.String` | `getIconNodeCloseLast()`
`java.lang.String` | `getIconNodeCloseMiddle()`
`java.lang.String` | `getIconNodeOpen()`
`java.lang.String` | `getIconNodeOpenFirst()`
`java.lang.String` | `getIconNodeOpenLast()`
`java.lang.String` | `getIconNodeOpenMiddle()`
`java.lang.String` | `getIconNoline()`
`java.lang.String` | `getNodeClass()`
`java.lang.String` | `getRendererType()`
`java.lang.String` | `getRowClasses()`
`java.lang.String` | `getSelectedNodeClass()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getValue()`
`java.lang.String` | `getVar()`
`boolean` | `isExpandRoot()`
`void` | `release()`
`void` | `setColumnClasses(java.lang.String columnClasses)`
`void` | `setExpandRoot(boolean expandRoot)`
`void` | `setExpireListeners(long expireListeners)`
`void` | `setFooterClass(java.lang.String footerClass)`
`void` | `setHeaderClass(java.lang.String headerClass)`
`void` | `setIconChildFirst(java.lang.String iconChildFirst)`
`void` | `setIconChildLast(java.lang.String iconChildLast)`
`void` | `setIconChildMiddle(java.lang.String iconChildMiddle)`
`void` | `setIconClass(java.lang.String iconClass)`
`void` | `setIconLine(java.lang.String iconLine)`
`void` | `setIconNodeClose(java.lang.String iconNodeClose)`
`void` | `setIconNodeCloseFirst(java.lang.String iconNodeCloseFirst)`
`void` | `setIconNodeCloseLast(java.lang.String iconNodeCloseLast)`
`void` | `setIconNodeCloseMiddle(java.lang.String iconNodeCloseMiddle)`
`void` | `setIconNodeOpen(java.lang.String iconNodeOpen)`
`void` | `setIconNodeOpenFirst(java.lang.String iconNodeOpenFirst)`
`void` | `setIconNodeOpenLast(java.lang.String iconNodeOpenLast)`
`void` | `setIconNodeOpenMiddle(java.lang.String iconNodeOpenMiddle)`
`void` | `setIconNoline(java.lang.String iconNoline)`
`void` | `setNodeClass(java.lang.String nodeClass)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)` Applies attributes to the tree component
`void` | `setRowClasses(java.lang.String rowClasses)`
`void` | `setSelectedNodeClass(java.lang.String selectedNodeClass)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setValue(java.lang.String newValue)`
`void` | `setVar(java.lang.String var)`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeTag

    public TreeTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String newValue)

  Overrides:
    `setValue` in class `UIComponentTagBase`

### getVar

    public java.lang.String getVar()

  Returns:
    Returns the var.

### setVar

    public void setVar(java.lang.String var)

  Parameters:
    `var` - The var to set.

### getIconLine

    public java.lang.String getIconLine()

### setIconLine

    public void setIconLine(java.lang.String iconLine)

### getIconNoline

    public java.lang.String getIconNoline()

### setIconNoline

    public void setIconNoline(java.lang.String iconNoline)

### getRowClasses

    public java.lang.String getRowClasses()

  Returns:
    Returns the rowClasses.

### setRowClasses

    public void setRowClasses(java.lang.String rowClasses)

  Parameters:
    `rowClasses` - The rowClasses to set.

### getColumnClasses

    public java.lang.String getColumnClasses()

  Returns:
    Returns the columnClasses.

### setColumnClasses

    public void setColumnClasses(java.lang.String columnClasses)

  Parameters:
    `columnClasses` - The columnClasses to set.

### getIconChildFirst

    public java.lang.String getIconChildFirst()

### setIconChildFirst

    public void setIconChildFirst(java.lang.String iconChildFirst)

### getIconChildMiddle

    public java.lang.String getIconChildMiddle()

### setIconChildMiddle

    public void setIconChildMiddle(java.lang.String iconChildMiddle)

### getIconChildLast

    public java.lang.String getIconChildLast()

### setIconChildLast

    public void setIconChildLast(java.lang.String iconChildLast)

### getIconNodeOpen

    public java.lang.String getIconNodeOpen()

### setIconNodeOpen

    public void setIconNodeOpen(java.lang.String iconNodeOpen)

### getIconNodeOpenFirst

    public java.lang.String getIconNodeOpenFirst()

### setIconNodeOpenFirst

    public void setIconNodeOpenFirst(java.lang.String iconNodeOpenFirst)

### getIconNodeOpenMiddle

    public java.lang.String getIconNodeOpenMiddle()

### setIconNodeOpenMiddle

    public void setIconNodeOpenMiddle(java.lang.String iconNodeOpenMiddle)

### getIconNodeOpenLast

    public java.lang.String getIconNodeOpenLast()

### setIconNodeOpenLast

    public void setIconNodeOpenLast(java.lang.String iconNodeOpenLast)

### getIconNodeClose

    public java.lang.String getIconNodeClose()

### setIconNodeClose

    public void setIconNodeClose(java.lang.String iconNodeClose)

### getIconNodeCloseFirst

    public java.lang.String getIconNodeCloseFirst()

### setIconNodeCloseFirst

    public void setIconNodeCloseFirst(java.lang.String iconNodeCloseFirst)

### getIconNodeCloseMiddle

    public java.lang.String getIconNodeCloseMiddle()

### setIconNodeCloseMiddle

    public void setIconNodeCloseMiddle(java.lang.String iconNodeCloseMiddle)

### getIconNodeCloseLast

    public java.lang.String getIconNodeCloseLast()

### setIconNodeCloseLast

    public void setIconNodeCloseLast(java.lang.String iconNodeCloseLast)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getNodeClass

    public java.lang.String getNodeClass()

### setNodeClass

    public void setNodeClass(java.lang.String nodeClass)

### getSelectedNodeClass

    public java.lang.String getSelectedNodeClass()

### setSelectedNodeClass

    public void setSelectedNodeClass(java.lang.String selectedNodeClass)

### getIconClass

    public java.lang.String getIconClass()

### setIconClass

    public void setIconClass(java.lang.String iconClass)

### getFooterClass

    public java.lang.String getFooterClass()

  Returns:
    Returns the footerClass.

### setFooterClass

    public void setFooterClass(java.lang.String footerClass)

  Parameters:
    `footerClass` - The footerClass to set.

### getHeaderClass

    public java.lang.String getHeaderClass()

  Returns:
    Returns the headerClass.

### setHeaderClass

    public void setHeaderClass(java.lang.String headerClass)

  Parameters:
    `headerClass` - The headerClass to set.

### isExpandRoot

    public boolean isExpandRoot()

### setExpandRoot

    public void setExpandRoot(boolean expandRoot)

### getExpireListeners

    public long getExpireListeners()

### setExpireListeners

    public void setExpireListeners(long expireListeners)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Obtain tree model or create a default model.

  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Applies attributes to the tree component

  Overrides:
    `setProperties` in class `UIComponentTagBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD